package com.caimei365.user.mapper;

import com.caimei365.user.model.ClubPo;
import com.caimei365.user.model.OperationPo;
import com.caimei365.user.model.ShopPo;
import com.caimei365.user.model.UserPo;
import org.apache.ibatis.annotations.Mapper;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/3/8
 */
@Mapper
public interface RegisterMapper {
    /**
     * 保存(机构)用户（user）
     * @param user
     * @return
     */
    int insertClubUser(UserPo user);
    /**
     * 保存机构（club）
     * @param club
     * @return
     */
    int insertClub(ClubPo club);
    /**
     * 保存运营人员（operation）
     * @param operation
     * @return
     */
    int insertOperation(OperationPo operation);
    /**
     * 根据用户ID更新机构ID
     *
     * @param userId
     * @param clubId
     */
    void updateUserClubId(Integer userId, Integer clubId);
    /**
     * 保存(供应商)用户（user）
     * @param user
     * @return
     */
    void insertShopUser(UserPo user);
    /**
     * 保存供应商（shop）
     * @param shop
     * @return
     */
    int insertShop(ShopPo shop);
    /**
     * 根据用户ID更新供应商ID
     *
     * @param userId
     * @param shopId
     */
    void updateUserShopId(Integer userId, Integer shopId);
}
