package com.caimei365.user.model;

import lombok.Data;

import java.io.Serializable;

/**
 * 全局API返回值
 *
 * @author : Charles
 * @date : 2021/3/4
 */
@Data
public class ResponseJsonVo<T> implements Serializable {
    /** 状态码 */
    private int code;
    /** 提示信息 */
    private String msg;
    /** 返回的数据 */
    private T data;

    private ResponseJsonVo() {}

    private ResponseJsonVo(int code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    private ResponseJsonVo(int code, String msg, T data) {
        this.code = code;
        this.msg = msg;
        this.data = data;
    }

    public static ResponseJsonVo success() {
        return new ResponseJsonVo<>(0, "操作成功");
    }

    public static<T> ResponseJsonVo<T> success(T data) {
        return new ResponseJsonVo<>(0, "操作成功", data);
    }

    public static<T> ResponseJsonVo<T> success(String msg, T data) {
        return new ResponseJsonVo<>(0, msg, data);
    }

    public static<T> ResponseJsonVo<T> success(int code, String msg, T data) {
        return new ResponseJsonVo<>(code, msg, data);
    }

    public static ResponseJsonVo error() {
        return new ResponseJsonVo<>(-1, "操作失败");
    }

    public static ResponseJsonVo error(String msg) {
        return new ResponseJsonVo<>(-1, msg);
    }

    public static ResponseJsonVo error(int code, String msg) {
        return new ResponseJsonVo<>(code, msg);
    }

    public static<T> ResponseJsonVo<T> error(T data) {
        return new ResponseJsonVo<>(-1, "操作失败", data);
    }

    public static<T> ResponseJsonVo<T> error(String msg, T data) {
        return new ResponseJsonVo<>(-1, msg, data);
    }

    public static<T> ResponseJsonVo<T> error(int code, String msg, T data) {
        return new ResponseJsonVo<>(code, msg, data);
    }

    @Override
    public String toString() {
        return "JsonModel{" + "code=" + code + ", msg='" + msg + '\'' + ", data=" + data + '}';
    }

    private static final long serialVersionUID = 1L;
}
