package com.caimei365.user.service;

import com.caimei365.user.model.ClubPo;
import com.caimei365.user.model.ResponseJsonVo;
import org.springframework.web.server.ServerWebExchange;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/3/8
 */
public interface RegisterService {
    /**
     * 普通机构入驻(注册)
     *
     * @param source            注册来源: 0网站 1小程序
     * @param userName          用户名
     * @param bindMobile        企业绑定手机号
     * @param password          密码
     * @param passWordConfirm   用户确认密码
     * @param smsCode           短信验证码
     * @param isAgreed          是否同意勾选同意协议，1是，其他否
     * @param unionId           微信unionId
     * @param nickName          微信昵称
     * @param avatarUrl         微信头像
     * @param serverWebExchange ServerWebExchange
     * @return BaseUser
     */
    ResponseJsonVo<ClubPo> clubRegister(Integer source, String userName, String bindMobile, String password, String passWordConfirm, String smsCode, Integer isAgreed, String unionId, String nickName, String avatarUrl, ServerWebExchange serverWebExchange);

}
